<template>
  <div class="d-none d-sm-none d-md-flex mr-8">
    <v-menu
      v-for="item in menuOptions.menuItem"
      :key="item.title"
      offset-y
      min-width="400"
      nudge-bottom="26"
      light
      :right="right"
      :left="left"
      origin="right right"
      transition="slide-y-transition"
    >
      <template v-slot:activator="{ on }">
        <v-btn text color="primary" dark v-on="on">
          {{ item.title }}
        </v-btn>
      </template>
      <div v-show="item.items">
        <v-list v-for="submenu in item.items" :key="submenu.title" class="pa-2">
          <v-list-item :to="localePath(submenu.link)">
            <v-list-item-title>{{ submenu.title }}</v-list-item-title>
          </v-list-item>
        </v-list>
      </div>
    </v-menu>
  </div>
</template>

<script>
export default {
  name: 'DesktopMenu',
  computed: {
    // eslint-disable-next-line vue/return-in-computed-property
    right() {
      if (this.$vuetify.rtl === false) {
        return false;
      }
    },
    // eslint-disable-next-line vue/return-in-computed-property
    left() {
      if (this.$vuetify.rtl === true) {
        return true;
      }
    },
    menuOptions() {
      return {
        menuItem: [
          {
            title: this.$i18n.t('products'),
            items: [
              {
                title: this.$i18n.t('menu.products.cms'),
                link: '/product/cms',
              },
              {
                title: this.$i18n.t('menu.products.waf'),
                link: '/product/htm',
              },
            ],
          },
          {
            title: this.$i18n.t('solutions'),
            action: 'mdi-view-dashboard',
            items: [
              {
                title: this.$i18n.t('menu.solutions.monitoring'),
                link: '/solutions/monitoring',
              },
              {
                title: this.$i18n.t('menu.solutions.vtp'),
                link: '/solutions/vtp',
              },
              {
                title: this.$i18n.t('menu.solutions.dba'),
                link: '/solutions/dba',
              },
            ],
          },
          {
            title: this.$i18n.tc('partners'),
            action: 'mdi-view-dashboard',
            items: [
              {
                title: this.$i18n.t('menu.partner.shahremohtava'),
                link: '/partners/shahremohtava',
              },
              {
                title: this.$i18n.t('menu.partner.eima'),
                link: '/partners/eima',
              },
              {
                title: this.$i18n.t('menu.partner.iraniancmp'),
                link: '/partners/iranian',
              },
            ],
          },
          // {
          //   title: this.$i18n.t('documents'),
          //   items: [
          //     { title: this.$i18n.t('menu.docs.help'), link: '' },
          //     {
          //       title: this.$i18n.t('menu.docs.article'),
          //       link: '/blog',
          //     },
          //     { title: this.$i18n.t('menu.docs.faq'), link: '' },
          //   ],
          // },
        ],
      };
    },
  },
};
</script>
<style lang="scss" scoped>
.v-btn {
  font-size: 18px;
  text-transform: unset !important;
}
.v-btn:before {
  display: none;
}
</style>
